DELETE https://api.cryptohopper.com/v1/hopper/{id}/short/remove

Removes the given short positions from the hopper without closing them. No order is placed at the exchange.

OAuth scope: read manage About scopes

position_ids are short position IDs. With one ID, data is "The selected short position has been removed.". Not available for exchange arbitrage, market maker, copy, grid and AI bots.

Example request

curl -X DELETE "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/short/remove" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"position_ids":[223344,223345]}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Request body

JSON, model PositionIDsPOST

FieldTypeRequiredDescription
position_idsarray of integerRequired

Response

Example response (illustrative values)

{
    "data": "The selected short positions have been removed."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.